<?php

namespace Blazemedia\Affiliation\Rendering;


class ParseButton extends RenderingTemplate {

    public function __construct() {
   
        parent::__construct( 'parse_button', 'parsebtn' );
    }

    // trait per gestire i link che sono 
    // inseriti direttamente in pagina
    // e non tramite link-provider
    use DirectLink\Params; 

    /**
     * Stampa il bottone impostato da shortcode, pri   
     */
    public function manageLink( $atts, $content, $tag ) {

        $program = strtolower( $atts['program'] ); // { 'amazon', 'ebay' }

        /// ricava i parametri per i link inseriti direttamente in pagina
        $directLinkParams = $this->getDirectLinkParams( $program, $atts['link'] ) ;

        $directLinkParams['format_id'] = $atts['format_id']; // id ricavato dal formatprovider 

        $params = $this->pageData->getParams( $directLinkParams );

        $this->getFormatData( $params );

        /// richiede il markup del link
        return str_replace( '{cta}', $content, $this->markup );
    
    }

    public function insertCSS() { }
}


